.small
  font-size: $font-size_small

.sidebarMenu
  font-size: $font-size_main_large
  font-weight: $font-weight_h1 !important

.active
  font-weight: 500


#content, header
  .icon
    margin-right: 5px
    display: inline-block
    svg
      width: auto

header
  .icon
    fill: white
    margin-right: 10px
#content
  .icon
    fill: $dark-blue

#content:not(.portfolio)
  img
    width: 110%
    display: block
    margin: 0 -5%


.published-date, .reading-time
  display: inline-block
  margin-bottom: 20px

.reading-time
  margin-right: 20px

.img-caption
  margin-bottom: $margin-blocks/6 !important

.home
  text-align: center

  img
    width: auto !important
    display: unset !important
    margin-bottom: $margin-blocks !important
    box-shadow: none

.portfolio
  img
    max-width: 100%
    margin-bottom: $margin-blocks
    box-shadow: $box-shadow

  .go-back-link
    text-align: right

  .title-img
    box-shadow: none

  .slideshow-img
    box-shadow: none
    width: inherit
    height: 100%

  .rounded-img
    +rounded

  .testimonial-list
    margin: 0 auto
    display: flex

    .testimonial-container
      display: inline-block
      text-align: center

      .testimonial-name, .testimonial-role
        text-align: center
        font-weight: $font-weight_h1
        font-size: $font-size_main_large
        margin-top: -2/3*$margin-blocks
      .testimonial-role
        font-weight: $font-weight_main

      .testimonial-text
        position: relative
        z-index: 0


  .portfolio-tags
    margin-top: $margin-blocks/5
    span
      font-weight: $font-weight_h1
    a
      overflow-wrap: break-word
  .tags
    margin-bottom: $margin-blocks/3

#content
  .portfolio-list
    // float: left 
    h2
      margin: 0

    a, a:hover, a:link, a:active, a:visited, a:focus
      border-bottom: none
      color: inherit

    img
      max-width: 100%
      border-radius: 2px
      display: block
      box-shadow: $box-shadow
      margin: inherit

    .portfolio-container
      position: relative
      max-width: $max-width-content
      margin-bottom: $margin-blocks

      .portfolio-details
        opacity: 0
        display: none
        width: 100%
        padding: 2em 1em
        // color: $primary-color
        color: $white
        +transition(opacity 0.4s ease)

        p, h2
          text-align: center
          margin-bottom: 0
          position: relative


      .img-overlay
        position: absolute
        top: 0
        bottom: 0
        left: 0
        right: 0
        height: 100%
        width: 100%
        opacity: 0
        +transition(0.4s ease)
        background-color: $dark-blue

      &:hover
        .img-overlay
          opacity: 0.9

        .portfolio-details
          opacity: 1
          display: block
          position: absolute
          top: 50%
          left: 50%
          +transform(translate(-50%, -50%))

    img::hover
      linear-gradient: $dark-blue, $dark-blue

    .portfolio-container
      +touchscreen
        img
          margin-bottom: 0

        .img-overlay
          display: none

        .portfolio-details
          display: block
          opacity: 1
          width: 100%
          padding: 0px
          color: $grey-900

          h2
            font-size: $font-size_h3
            line-height: $line-height_main

            span
              // background-image: linear-gradient(180deg, transparent 60%, $primary-color 0)
              padding: 0 0.2em

          p, h2
            text-align: center
            margin-bottom: 0
            position: relative

        &:hover
          .portfolio-details
            +transform(none)
            position: relative
            left: 0

      
      +smartphone
        .portfolio-details
          h2
            font-size: $font-size_h3
            line-height: $line-height_main

        // img
        //   margin-bottom: 0

        // .img-overlay
        //   display: none

        // .portfolio-details
        //   display: block
        //   opacity: 1
        //   width: 100%
        //   padding: 0px
        //   color: $grey-900

        //   h2
        //     font-size: $font-size_h3
        //     line-height: $line-height_main

        //     span
        //       // background-image: linear-gradient(180deg, transparent 60%, $primary-color 0)
        //       padding: 0 0.2em

        //   p, h2
        //     text-align: center
        //     margin-bottom: 0
        //     position: relative

        // &:hover
        //   .portfolio-details
        //     +transform(none)
        //     position: relative
        //     left: 0


      // REPLACED BY A TOUCHSCREEN @MEDIA TO ALSO DISCARD HOVERS FOR TABLETS
      //
      // +smartphone
      //   img
      //     margin-bottom: 0

      //   .img-overlay
      //     display: none

      //   .portfolio-details
      //     display: block
      //     opacity: 1
      //     width: 100%
      //     padding: 0px
      //     color: $grey-900

      //     h2
      //       font-size: $font-size_h3
      //       line-height: $line-height_main

      //       span
      //         // background-image: linear-gradient(180deg, transparent 60%, $primary-color 0)
      //         padding: 0 0.2em

      //     p, h2
      //       text-align: center
      //       margin-bottom: 0
      //       position: relative

      //   &:hover
      //     .portfolio-details
      //       +transform(none)
      //       position: relative
      //       left: 0

  .centered-text
    p
      text-align: center

// .designs, .techs
//   display: inline-block

.post
  .centered-img-container

    .centered-img-inner
      margin: 0 auto
      +smartphone
        width: 100% !important

      img
        display: unset !important
        box-shadow: none

.designs
  margin-right: 20px

.read-more
  margin-top: -$margin-blocks/3
  text-align: right
  display: block

.chroma
  padding: 10px

// For 99inbound form - Hide the bottom (branding)
.contact-form-container-99inbound
  border: 1px solid lightgray
  height: 475px
  overflow: hidden

  +smartphone
    height: 500px

// ///////////////////////////////////////////////////////////
// Custom changes for dynamic hamburger menu in Smartphones //
// ///////////////////////////////////////////////////////////
.intro
  .hamburger
    display: none

  .menu
    display: block

  +smartphone

    padding-top: 20px !important
    padding-right: 20px !important
    padding-bottom: 0px !important
    padding-left: 20px !important

    .logo-container
      width: 20%
      float: left

      img
        max-width: 100%
        max-height: 100%

    .title-container
      float: left
      width: 65%
      padding-left: 10px

      img
        max-width: 100%

      p
        padding-top: unset
        margin-bottom: unset
        font-size: 1em

    .hamburger
      width: 10%
      padding-right: 10px
      padding-left: 10px
      float: right
      display: inline-block
      cursor: pointer

      .bar1, .bar2, .bar3
        width: 35px
        background-color: #fff
        height: 5px
        margin: 6px 0
        transition: 0.4s

    /* Rotate first bar */
    .change .bar1
      -webkit-transform: rotate(-45deg) translate(-9px, 6px)
      transform: rotate(-45deg) translate(-9px, 6px)

    /* Fade out the second bar */
    .change .bar2
      opacity: 0

    /* Rotate last bar */
    .change .bar3
      -webkit-transform: rotate(45deg) translate(-8px, -8px)
      transform: rotate(45deg) translate(-8px, -8px)

    .clearfix
      content: ""
      clear: both
      display: table

    .menu
      display: none

      p
        text-align: right
        margin-bottom: 0px

.socials
  +smartphone
    padding-top: 0px !important
    padding-right: 20px !important
    padding-bottom: 0px !important
    padding-left: 20px !important

// ///////////////////////////////////////////////////////////////////
// END OF: Custom changes for dynamic hamburger menu in Smartphones //
// ///////////////////////////////////////////////////////////////////
